declare global {
    var __wzfConfig: WzfConfig;
    var __reWzfConfig: Function;
}
type ENV_WZF = {
    [key: string]: string | boolean | number;
};
export type UserConfig = {
    $wzf?: {
        rds_host: string;
        rds_pwd: string;
        rds_type?: 'single' | 'cluster' | 'Sentinel';
        rds_name?: string;
        rds_db?: number;
    };
    stmode?: 'dev' | 'smm' | 'xn';
    encryption?: boolean;
    env?: ENV_WZF;
    server?: {
        https?: boolean;
        timeout?: number;
        open?: boolean;
        csp?: {
            enabled: boolean;
            directives?: {
                defaultSrc?: string[];
                connectSrc?: string[];
                scriptSrc?: string[];
                styleSrc?: string[];
                fontSrc?: string[];
                imgSrc?: string[];
            };
        };
    };
    proxy?: any;
    apps: {
        [key: string]: {
            port: number;
            hidePort?: boolean;
            host?: string;
            enabled?: boolean;
        };
    };
};
export type WzfConfig = {
    appsPath: string;
    wzfPath: string;
    rdsClient?: any;
    cliMode: 'dev' | 'build' | 'start';
} & UserConfig;
declare const _getWzfConfig: (cliMode: 'dev' | 'build' | 'start') => Promise<WzfConfig>;
export default _getWzfConfig;
